Package uk.ac.starlink.topcat.plot

# Class GraphicsWindow.ExportAction

java.lang.Object
javax.swing.AbstractAction
uk.ac.starlink.topcat.BasicAction
uk.ac.starlink.topcat.plot.GraphicsWindow.ExportAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  `GraphicsWindow`

protected abstract class GraphicsWindow.ExportAction extends BasicAction
Actions for exporting the plot to a file.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
`abstract void`
`exportTo(OutputStream out)`
Performs the export by writing bytes to a given stream.

### Methods inherited from class uk.ac.starlink.topcat.BasicAction

`create, getEventWindow`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept`

## Method Details

### exportTo

public abstract void exportTo(OutputStream out) throws IOException
Performs the export by writing bytes to a given stream. Implementations should not close the stream after writing.

Parameters:
  `out` - destination stream
Throws:
  `IOException`

### actionPerformed

public void actionPerformed(ActionEvent evt)